#
# spec file for package python-ipaddr
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ipaddr
Version:        2.1.11
Release:        2.24
Summary:        Google's IP address manipulation library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://code.google.com/p/ipaddr-py/
Source:         https://files.pythonhosted.org/packages/source/i/ipaddr/ipaddr-%{version}.tar.gz
# PATCH-FIX-OPENSUSE - use_2to3.patch -  use 2to3 to build python3 packages
Patch0:         use_2to3.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pkginfo}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python3-2to3
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Google's IP address manipulation library. An IPv4/IPv6 manipulation library
in Python. This library is used to create/poke/manipulate IPv4 and IPv6
addresses and prefixes.

%prep
%setup -q -n ipaddr-%{version}
%patch0 -p1
sed -i "1d" ipaddr.py # Fix non-executable script

%build
%python_build

%install
%python_install

%check
mkdir tester
pushd tester
%python_expand cp ../ipaddr_test.py ipaddr_test-%{$python_bin_suffix}.py

if [ -e ipaddr_test-%{python3_bin_suffix}.py ] ; then
    2to3 -wn ipaddr_test-%{python3_bin_suffix}.py
fi

%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
$python -B ipaddr_test-%{$python_bin_suffix}.py
}
popd

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYING README RELEASENOTES
%{python_sitelib}/*

%changelog
* Thu Aug 31 2017 toddrme2178@gmail.com
- Add use_2to3.patch
  * Allows setup.py to automatically convert code with 2to3 instead
    of having to do it manually.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Wed Mar 25 2015 klaussfreire@gmail.com
  Update to upstream ipaddr 2.1.11
- hostmask parsing bug fixed by pmarks (a nearly complete rewrite of the mask parsing code)
- i97, incorrectly parses some v6 addresses.
- docstring typos.
- i95, refer to the nets in the exception raised by collapse_address_list
- add license to boilerplate to test-2to3.sh
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Jan 22 2012 klaussfreire@gmail.com
  Update to upstream ipaddr 2.1.10
- i84, fix iterhosts for /31's or /127's
- private method arg cleanup.
- i83, docstring issue.
- i87, new ipv4/ipv6 parser. patch from pmarks
- i90, fix copyright.
- bytes fix. patch from pmarks.-
* Wed Nov 16 2011 klaussfreire@users.sourceforge.net
- Fix license file to have proper attribution
  (upstream issue 90)
* Thu Sep 22 2011 saschpe@suse.de
- Re-generated spec file with py2pack
- Run testsuite (using python-nose)
- Fix non-executable script rpmlint warning
* Fri Jul  8 2011 klaussfreire@users.sourceforge.net
- Initial package, upstream ipaddr 2.1.9
